Bug 68729 - su doesn't set permissions at the right point
su doesn't set permissions at the right point
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: sh-utils (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-12 18:33 EDT by Ben Woodard
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-04 16:20:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch which fixes the problem (373 bytes, patch)
2002-07-12 18:34 EDT, Ben Woodard
no flags Details | Diff

  None (edit)
Description Ben Woodard 2002-07-12 18:33:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020606

Description of problem:
This is a continuation of the bug
http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=66862

The problem with the solution that I presented in that bug is the fact that it
still doesn't handle the case where the only access to the file is through a
secondary group. Therefore, just doing a setfsgid doesn't work in all situations.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. adduser test1
2. add a group test2
3. add test1 user to test2 group.
4. chmod 750 /home
5. chgrp test2 /home
6. chmod 700 /home/test1
7. su - test1


Additional info:
Comment 1 Ben Woodard 2002-07-12 18:34:07 EDT
Created attachment 65189 [details]
patch which fixes the problem
Comment 2 Bernhard Rosenkraenzer 2002-08-29 14:45:21 EDT
Fixed in 2.0.12-3
Comment 3 Bill Nottingham 2006-08-04 16:20:11 EDT
Red Hat Linux and Red Hat Powertools are currently no longer supported by Red
Hat, Inc. In an effort to clean up bugzilla, we are closing all bugs in MODIFIED
state for these products.

However, we do want to make sure that nothing important slips through the
cracks. If, in fact, these issues are not resolved in a current Fedora Core
Release (such as Fedora Core 5), please open a new issues stating so. Thanks.

Note You need to log in before you can comment on or make changes to this bug.